@tailwind base;
@tailwind components;
@tailwind utilities;
@tailwind variants;

@layer components{
  ::-webkit-scrollbar-thumb{
    @apply bg-slate-900
  }
  ::-webkit-scrollbar-thumb{
    border-radius: 15px;
    border: 1px solid rgb(75 85 99);
  }
  ::-webkit-scrollbar{
    background-color: transparent;
    width: 8px;
  }
  .flex-row {
    display: flex;
    flex-direction: row;
  }
  .flex-column {
    display: flex;
    flex-direction: column;
  }
  .center {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: auto;
    height: auto;
  }
  
  .btn-fresh {
    align-items: center;
    border-radius: 2rem;
    border: whitesmoke solid 2px;
    font-size: 1rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.2rem;
    letter-spacing: 0.1px;
    padding: 1rem 1.5rem;

    &:hover {
     border: whitesmoke solid 2px;
    }
  }

  .gradient1 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to right, #ec4899, #f87171, #f59e0b);
    background-size: 200% 100%;
    animation: gradient-bi 2.5s linear infinite;
  }
  .gradient2 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to right, #34d399, #3b82f6, #8b5cf6);
    background-size: 200% 100%;
    animation: gradient-bi 1s ease-in-out infinite;
  }
  .gradient3 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to right, #fbbf24, #f87171, #ec4899);
    background-size: 200% 100%;
    animation: gradient-bi 1.5s ease-in infinite;
  }
  .gradient4 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to left, #fffe20, #2dd4bf, #f521ff);
    background-size: 200% 100%;
    animation: gradient-bi 2s ease-out infinite;
  }
  .gradient5 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to right, #8b5cf6, #7ead02, #1d9bf0);
    background-size: 200% 100%;
    animation: gradient-bi 2.5s ease-in-out infinite;
  }
  .gradient6 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to right, #06b6d4, #34d399, #3b82f6);
    background-size: 200% 100%;
    animation: gradient-bi 3s ease-in infinite;
  }
  .gradient7 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to right, #10b981, #fbbf24, #f97316);
    background-size: 200% 100%;
    animation: gradient-bi 3.5s ease-out infinite;
  }

  .gradient8 {
    background-clip: text;
    color: transparent;
    background-image: linear-gradient(to left, #7ead02, #8b5cf6, #eb6e52, #1d9bf0, #7ead02);
    background-size: 200% 100%;
    animation: gradient-bi 3s ease-out infinite;
  }
  .gradient9 {
    background-clip: text;
    color: transparent;
    background-image: repeating-linear-gradient(to left, #7ead02, #1d9bf0, #8b5cf6, #ec4899 20px, #f87171 20px, #eb6e52 25px);
    background-size: 180% 2000%;
    animation: gradient-bi 20s ease infinite;
  }
  .gradient10 {
    background-clip: text;
    color: transparent;
    background-image: repeating-radial-gradient(#7ead02, #1d9bf0, #8b5cf6 10px, #ec4899 20px, #f87171 20px, #eb6e52 25px);
    background-size: 200% 200%;
    animation: gradient-bi 15s ease-in-out infinite;
  }
  .gradient11 {
    background-clip: text;
    color: transparent;
    background-image: radial-gradient(#1d9bf0, #8b5cf6, #ec4899, #f87171, #eb6e52);
    background-size: 200% 200%;
    animation: gradient-bi 2.5s ease-in-out infinite;
  }
  .gradient12 {
    background-clip: text;
    color: transparent;
    background-image: repeating-linear-gradient(to left, #1d9bf0, #8b5cf6 10px, #ec4899 20px, #f87171 20px, #eb6e52 25px);
    background-size: 1000% 200%;
    animation: gradient-x 60s ease-in-out infinite;
  }

  

  /* moderatorange: '#eb6e52',
  epromgreen: '#7ead02',
  youtube:  '#b10000',
  twitter:  '#1d9bf0',
  twetch:   '#252630', */

  /* background-image: inherit;
  background-image: initial;
  background-image: revert;
  background-image: revert-layer;
  background-image: unset; */

  @keyframes gradient-x {
    0% { background-position: 0% 50%; }
    100% { background-position: 100% 50%; }
  }

  @keyframes gradient-bi {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
  }
}